Bug 693276

Summary: voms is incompatible with bouncycastle-1.46-1.el6
Product: [Fedora] Fedora EPEL Reporter: Tuomo Soini <tis>
Component: vomsAssignee: Mattias Ellert <mattias.ellert>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: el6CC: mattias.ellert, steve.traylen
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: voms-mysql-plugin-3.1.5.1-1.el6 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-11 04:21:49 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Tuomo Soini 2011-04-04 06:19:32 UTC
Description of problem:

new bouncycastle removed deperecated java api calls voms heavily uses and voms can't be rebuild with new bouncycastle because of that. For example DERInputStream is not there any more in new bouncycastle version.

I guess this is upstream voms bug. These java apis have been deprecated for a long time and voms still uses them.

Comment 1 Steve Traylen 2011-04-04 07:18:27 UTC
We needed to move to the newer bouncy castle to be compatible with openssl 1.0. I should have
alerted voms maintainers. Thanks for doing so.

steve.

Comment 2 Fedora Update System 2011-05-31 07:00:10 UTC
voms-mysql-plugin-3.1.5.1-1.fc15,voms-2.0.2-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/voms-mysql-plugin-3.1.5.1-1.fc15,voms-2.0.2-1.fc15

Comment 3 Fedora Update System 2011-05-31 07:00:19 UTC
voms-mysql-plugin-3.1.5.1-1.fc14,voms-2.0.2-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/voms-mysql-plugin-3.1.5.1-1.fc14,voms-2.0.2-1.fc14

Comment 4 Fedora Update System 2011-05-31 07:00:28 UTC
voms-mysql-plugin-3.1.5.1-1.el5,voms-2.0.2-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/voms-mysql-plugin-3.1.5.1-1.el5,voms-2.0.2-1.el5

Comment 5 Fedora Update System 2011-05-31 07:00:38 UTC
voms-mysql-plugin-3.1.5.1-1.el6,voms-2.0.2-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/voms-mysql-plugin-3.1.5.1-1.el6,voms-2.0.2-1.el6

Comment 6 Fedora Update System 2011-05-31 07:00:47 UTC
voms-mysql-plugin-3.1.5.1-1.el4,voms-2.0.2-1.el4 has been submitted as an update for Fedora EPEL 4.
https://admin.fedoraproject.org/updates/voms-mysql-plugin-3.1.5.1-1.el4,voms-2.0.2-1.el4

Comment 7 Fedora Update System 2011-05-31 07:00:56 UTC
voms-mysql-plugin-3.1.5.1-1.fc13,voms-2.0.2-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/voms-mysql-plugin-3.1.5.1-1.fc13,voms-2.0.2-1.fc13

Comment 8 Fedora Update System 2011-06-02 18:57:09 UTC
Package voms-mysql-plugin-3.1.5.1-1.fc14, voms-2.0.2-1.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing voms-mysql-plugin-3.1.5.1-1.fc14 voms-2.0.2-1.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/voms-mysql-plugin-3.1.5.1-1.fc14,voms-2.0.2-1.fc14
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2011-06-11 04:21:41 UTC
voms-mysql-plugin-3.1.5.1-1.fc14, voms-2.0.2-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2011-06-11 04:25:51 UTC
voms-mysql-plugin-3.1.5.1-1.fc13, voms-2.0.2-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2011-06-11 04:30:39 UTC
voms-mysql-plugin-3.1.5.1-1.fc15, voms-2.0.2-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-21 17:09:00 UTC
voms-mysql-plugin-3.1.5.1-1.el4, voms-2.0.2-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2011-06-21 17:10:46 UTC
voms-mysql-plugin-3.1.5.1-1.el5, voms-2.0.2-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2011-06-21 17:11:24 UTC
voms-mysql-plugin-3.1.5.1-1.el6, voms-2.0.2-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.